Subject: [rfc-i] Accessibility of RFC HTML

From: "Martin Thomson" <[email-masked]>
Date: Wed, 13 Jan 2021 17:09:34 +1100

Hey folks,

I thought I might report on some feedback that I sought regarding the accessibility of RFCs.  I contacted Jamie Teh, who works on accessibility and is one of the people behind the excellent NVDA tool <https://www.nvaccess.org/about-nvda/>.  He graciously provided some feedback on the HTML.

Jamie was enthusiastic about using HTML as it provides much better availability to assistive technologies generally.  Much better than text.  And overall, the simplicity of what we are doing with HTML was pretty good.

There were a few things that weren't ideal:

* The per-paragraph "pilcrow" element remains a little tricky.  Right now, we style this with visibility: hidden, which makes it inaccessible to assistive technologies.  On the other hand, having it present adds noise.  Jamie didn't have a good suggestion here.

* The "toplink" includes a single opaque character, rather than text, which makes its purpose hard to discern.

* We might consider providing a link to the table of contents as the first element in the HTML.  There are some CSS tricks that can be used to keep that off-screen.

I've opened issues on each of these with xml2rfc.

I also managed to partly botch one other thing in my own stylesheet, which was good to identify and fix.

There was a lot more than this, and there might be a few items that would benefit from following up.  If anyone wants to dig further, I can provide a copy of Jamie's feedback.

Cheers,
Martin
_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest